Hi Alberto,

I basically installed by building from the 2.6.3 tar ball. I'll upgrade to 2.6.5 and then try.

Thanks,
Usman

On Wed, Mar 21, 2012 at 3:06 PM, Alberto Gonzalez Iniesta <agi@inittab.org> wrote:
On Wed, Mar 21, 2012 at 02:55:31PM +0000, Sam George wrote:
> Hi,
>
> I am newbie who has installed mod security 2.6.4 with Apache 2.2.6. When i
> re-start apache i see the following warning message in the error.log:
>
> [Wed Mar 21 14:45:31 2012] [notice] ModSecurity for Apache/2.6.4 (
> http://www.modsecurity.org/) configured.
> [Wed Mar 21 14:45:31 2012] [notice] ModSecurity: APR compiled
> version="1.4.2"; loaded version="1.4.2"
> [Wed Mar 21 14:45:31 2012] [notice] ModSecurity: PCRE compiled
> version="8.2"; loaded version="8.02 2010-03-19"
> [Wed Mar 21 14:45:31 2012] [warn] ModSecurity: Loaded PCRE do not match
> with compiled!
> [Wed Mar 21 14:45:31 2012] [notice] ModSecurity: LUA compiled version="Lua
> 5.1"
> [Wed Mar 21 14:45:31 2012] [notice] ModSecurity: LIBXML compiled
> version="2.7.8"
> [Wed Mar 21 14:45:33 2012] [notice] Apache/2.2.16 (Debian) mod_ssl/2.2.16
> OpenSSL/0.9.8o mod_apreq2-20090110/2.7.1 mod_perl/2.0.4 Perl/v5.10.1
> configured -- resuming normal operations
>
> Does the warning message: [warn] ModSecurity: Loaded PCRE do not match with
> compiled! matter?
>
> Appreciate any input/feedback.

Hi Sam,

How did you install ModSecurity? Packages? As far as I can tell you're
using Squeeze's Apache (2.2.16) but ModSecurity 2.6.4 package did not
exist in Squeeze. I guess the best/easiest way to get ModSecurity would
be to built the current 2.6.5 package on Squeeze. I could do that around
this weekend if you want to.

Regards,

Alberto

--
Alberto Gonzalez Iniesta    | Formación, consultoría y soporte técnico
agi@(inittab.org|debian.org)| en GNU/Linux y software libre
Encrypted mail preferred    | http://inittab.com

Key fingerprint = 9782 04E7 2B75 405C F5E9  0C81 C514 AF8E 4BA4 01C3

------------------------------------------------------------------------------
This SF email is sponsosred by:
Try Windows Azure free for 90 days Click Here
http://p.sf.net/sfu/sfd2d-msazure
_______________________________________________
mod-security-users mailing list
mod-security-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/mod-security-users
Commercial ModSecurity Rules and Support from Trustwave's SpiderLabs:
http://www.modsecurity.org/projects/commercial/rules/
http://www.modsecurity.org/projects/commercial/support/